Subject: Re: bug#66655: 29.1; Clicking buttons sometimes doesn't work

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Oct 2023 15:14:24 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 23 Oct 2023 18:36:11 -0400
> 
> > Yes, that's the logic here.  Technically, it happens because clicking
> > the mouse emits 2 events: down-mouse-1 followed by another one caused
> > by releasing the mouse button, and the first event could cause
> > redisplay (as happens in this case) because it generally moves point
> > to the location of the click.
> 
> So maybe, in order to upgrade an `up` to a `drag` we should check that:
> - the end (buffer) position is different.
> - and the mouse has actually moved.

How do you do the latter in a way that still supports arbitrary values
in double-click-fuzz?

> Currently we detect a mouse-has-moved when the start and end (screen)
> position of the mouse are different, but maybe we should additionally
> set a flag when the mouse is moved, so that it's still considered as
> "moved" if the mouse returns to its initial (screen) position?

What will that do if the mouse was moved, then returned to the
original position before the button is released?